package com.lqkj.business.entity;

import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 监控信息对象 sys_camera_info
 *
 * @author lh
 * @date 2022-09-30
 */
public class CameraInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 监控编号 */
    private String cameraId;

    /** 监控名称 */
    @Excel(name = "监控名称")
    private String name;

    /** 对接类型 */
    @Excel(name = "对接类型",dictType = "camera_interface_type")
    private String cameraType;

    /** 相机编码 */
    @Excel(name = "相机编码")
    private String cameraIndexCode;

    /** 监控地址 */
    @Excel(name = "监控地址")
    private String url;

    /** 在线状态 */
    @Excel(name = "在线状态")
    private Boolean onlineStatus;

    /** GIS大楼编号 */
    @Excel(name = "在线状态")
    private String gisBuildingCode;
    /** GIS房间编号 */
    @Excel(name = "在线状态")
    private String gisRoomCode;


    public void setCameraId(String cameraId)
    {
        this.cameraId = cameraId;
    }

    public String getCameraId()
    {
        return cameraId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getUrl()
    {
        return url;
    }

    public String getCameraType() {
        return cameraType;
    }

    public void setCameraType(String cameraType) {
        this.cameraType = cameraType;
    }

    public String getCameraIndexCode() {
        return cameraIndexCode;
    }

    public void setCameraIndexCode(String cameraIndexCode) {
        this.cameraIndexCode = cameraIndexCode;
    }

    public Boolean getOnlineStatus() {
        return onlineStatus;
    }

    public void setOnlineStatus(Boolean onlineStatus) {
        this.onlineStatus = onlineStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("cameraId", getCameraId())
                .append("name", getName())
                .append("url", getUrl())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}