package com.lqkj.business.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.business.entity.DeviceCategory;

/**
 * 设备分类Mapper接口
 *
 * @author lqkj
 * @date 2023-03-14
 */
@Mapper
public interface DeviceCategoryMapper
{
    /**
     * 查询设备分类
     *
     * @param categoryId 设备分类主键
     * @return 设备分类
     */
    public DeviceCategory selectDeviceCategoryByCategoryId(Integer categoryId);

    /**
     * 查询设备分类列表
     *
     * @param deviceCategory 设备分类
     * @return 设备分类集合
     */
    public List<DeviceCategory> selectDeviceCategoryList(DeviceCategory deviceCategory);

    /**
     * 新增设备分类
     *
     * @param deviceCategory 设备分类
     * @return 结果
     */
    public int insertDeviceCategory(DeviceCategory deviceCategory);

    /**
     * 修改设备分类
     *
     * @param deviceCategory 设备分类
     * @return 结果
     */
    public int updateDeviceCategory(DeviceCategory deviceCategory);

    /**
     * 删除设备分类
     *
     * @param categoryId 设备分类主键
     * @return 结果
     */
    public int deleteDeviceCategoryByCategoryId(Integer categoryId);

    /**
     * 批量删除设备分类
     *
     * @param categoryIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceCategoryByCategoryIds(Integer[] categoryIds);

    public List<DeviceCategory> selectParentCategoryList();
}
