package com.lqkj.camera.thread;

import com.lqkj.camera.cache.CameraCacheUtil;
import com.lqkj.camera.model.CameraVo;
import com.lqkj.camera.util.CameraPush;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class CameraThread {
    private final static Logger logger = LoggerFactory.getLogger(CameraThread.class);
    public static class MyRunnable implements Runnable{
        // 创建线程池
        public static ExecutorService es = Executors.newCachedThreadPool();
        private CameraVo cameraVo;
        private Thread nowThread;

        public MyRunnable(CameraVo cameraVo) {
            this.cameraVo = cameraVo;
        }

        /**
         * 中断线程停止推流
         */
        public void setInterrupted() {
            nowThread.interrupt();
        }

        /**
         * 执行线程进行直播推流
         */
        @Override
        public void run() {
            try {
                //获取当前线程存入缓存
                nowThread = Thread.currentThread();
                CameraCacheUtil.STREAMMAP.put(cameraVo.getToken(), cameraVo);
                CameraPush push = new CameraPush(cameraVo).from();
                if (push != null) {
                    push.to().go(nowThread);
                }
                CameraCacheUtil.STREAMMAP.remove(cameraVo.getToken());
                CameraCacheUtil.STREAMTHREAD.remove(cameraVo.getToken());
            }catch (Exception e){
                logger.error("当前任务：" + cameraVo.getRtsp() + "停止...");
                CameraCacheUtil.STREAMMAP.remove(cameraVo.getToken());
                CameraCacheUtil.STREAMTHREAD.remove(cameraVo.getToken());
            }
        }
    }
}