package com.lqkj.common.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.vividsolutions.jts.geom.Coordinate;
import com.vividsolutions.jts.geom.Geometry;
import com.vividsolutions.jts.geom.GeometryFactory;
import com.vividsolutions.jts.geom.Point;
import org.apache.commons.lang.StringUtils;
import org.geotools.geojson.geom.GeometryJSON;
import org.geotools.geometry.jts.JTSFactoryFinder;

import java.io.StringWriter;

public class GeoUtils {
    private static GeometryFactory GEOMETRY_FACTORY = JTSFactoryFinder.getGeometryFactory( null );

    public static Point createPoint(String lngLatString){
        if(StringUtils.isNotEmpty(lngLatString)){
            String[] lngLat = lngLatString.split(",");
            if(lngLat.length == 2){
                Double x = Double.parseDouble(lngLat[0]);
                Double y = Double.parseDouble(lngLat[1]);
                Coordinate coordinate = new Coordinate(x, y);
                return GEOMETRY_FACTORY.createPoint(coordinate);
            }
            return null;
        }
        return null;
    }

    public static Geometry readFromGeoJsonString(String geoJson){
        try {
            GeometryJSON geometryJSON = new GeometryJSON(10);
            return geometryJSON.read(geoJson);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static JSONObject readFromGeometry(Geometry geometry){
        JSONObject json = null;
        if (geometry != null)
            try {
                GeometryJSON geometryJSON = new GeometryJSON(30);//精度到小数点后参数位
                StringWriter writer = new StringWriter();
                geometryJSON.write(geometry, writer);
                json = (JSONObject) JSON.parse(writer.toString());
            } catch (Exception e) {
                e.printStackTrace();
            }
        return json;
    }
    public static String  readFromGeometryToString(Geometry geometry) {
        if (geometry != null) {
            try {
                GeometryJSON geometryJSON = new GeometryJSON(30);//精度到小数点后参数位
                StringWriter writer = new StringWriter();
                geometryJSON.write(geometry, writer);
                return writer.toString();
            } catch (Exception e) {
                e.printStackTrace();
                return null;
            }
        }
        return null;
    }
}
