package com.lqkj.framework.security.handler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.security.oauth2.common.exceptions.OAuth2Exception;
import org.springframework.security.oauth2.provider.error.WebResponseExceptionTranslator;
import org.springframework.stereotype.Component;

@Component
public class CustomWebResponseExceptionTranslator implements WebResponseExceptionTranslator<OAuth2Exception> {
    private Logger logger = LoggerFactory.getLogger(getClass());
    @Override
    public ResponseEntity<OAuth2Exception> translate(Exception e) throws Exception {
        return ResponseEntity
                .status(200)
                .body(new CustomOauthException(e.getMessage()));
    }
}
