package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 停车场信息对象 parking_lot
 * 
 * @author lqkj
 * @date 2024-12-23
 */
public class ParkingLot extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 停车场id */
    private Integer parkingId;

    /** 停车场名称 */
    @Excel(name = "停车场名称")
    private String parkingName;

    /** 坐标 */
    @Excel(name = "坐标")
    private String lngLat;

    /** 空余车位 */
    @Excel(name = "空余车位")
    private Integer freeSpots;

    /** 空余充电桩 */
    @Excel(name = "空余充电桩")
    private Integer freeChargers;

    /** 备注 */
    @Excel(name = "备注")
    private String memo;

    /** 值班人员 */
    @Transient
    private String personnelName;

    public void setParkingId(Integer parkingId) 
    {
        this.parkingId = parkingId;
    }

    public Integer getParkingId() 
    {
        return parkingId;
    }
    public void setParkingName(String parkingName) 
    {
        this.parkingName = parkingName;
    }

    public String getParkingName() 
    {
        return parkingName;
    }
    public void setLngLat(String lngLat) 
    {
        this.lngLat = lngLat;
    }

    public String getLngLat() 
    {
        return lngLat;
    }
    public void setFreeSpots(Integer freeSpots) 
    {
        this.freeSpots = freeSpots;
    }

    public Integer getFreeSpots() 
    {
        return freeSpots;
    }
    public void setFreeChargers(Integer freeChargers) 
    {
        this.freeChargers = freeChargers;
    }

    public Integer getFreeChargers() 
    {
        return freeChargers;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }

    public String getPersonnelName() {
        return personnelName;
    }

    public void setPersonnelName(String personnelName) {
        this.personnelName = personnelName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("parkingId", getParkingId())
            .append("parkingName", getParkingName())
            .append("lngLat", getLngLat())
            .append("freeSpots", getFreeSpots())
            .append("freeChargers", getFreeChargers())
            .append("memo", getMemo())
            .append("personnelName", getPersonnelName())
            .toString();
    }
}