package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.BuildingInfo;

/**
 * 大楼信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-12
 */
@Mapper
public interface BuildingInfoMapper 
{
    /**
     * 查询大楼信息
     * 
     * @param buildingId 大楼信息主键
     * @return 大楼信息
     */
    public BuildingInfo selectBuildingInfoByBuildingId(Integer buildingId);

    /**
     * 查询大楼信息列表
     * 
     * @param buildingInfo 大楼信息
     * @return 大楼信息集合
     */
    public List<BuildingInfo> selectBuildingInfoList(BuildingInfo buildingInfo);

    /**
     * 新增大楼信息
     * 
     * @param buildingInfo 大楼信息
     * @return 结果
     */
    public int insertBuildingInfo(BuildingInfo buildingInfo);

    /**
     * 修改大楼信息
     * 
     * @param buildingInfo 大楼信息
     * @return 结果
     */
    public int updateBuildingInfo(BuildingInfo buildingInfo);

    /**
     * 删除大楼信息
     * 
     * @param buildingId 大楼信息主键
     * @return 结果
     */
    public int deleteBuildingInfoByBuildingId(Integer buildingId);

    /**
     * 批量删除大楼信息
     * 
     * @param buildingIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBuildingInfoByBuildingIds(Integer[] buildingIds);
}