package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.OrganizationInfo;

/**
 * 主体信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-13
 */
@Mapper
public interface OrganizationInfoMapper 
{
    /**
     * 查询主体信息
     * 
     * @param organizationId 主体信息主键
     * @return 主体信息
     */
    public OrganizationInfo selectOrganizationInfoByOrganizationId(Integer organizationId);

    /**
     * 查询主体信息列表
     * 
     * @param organizationInfo 主体信息
     * @return 主体信息集合
     */
    public List<OrganizationInfo> selectOrganizationInfoList(OrganizationInfo organizationInfo);

    /**
     * 新增主体信息
     * 
     * @param organizationInfo 主体信息
     * @return 结果
     */
    public int insertOrganizationInfo(OrganizationInfo organizationInfo);

    /**
     * 修改主体信息
     * 
     * @param organizationInfo 主体信息
     * @return 结果
     */
    public int updateOrganizationInfo(OrganizationInfo organizationInfo);

    /**
     * 删除主体信息
     * 
     * @param organizationId 主体信息主键
     * @return 结果
     */
    public int deleteOrganizationInfoByOrganizationId(Integer organizationId);

    /**
     * 批量删除主体信息
     * 
     * @param organizationIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrganizationInfoByOrganizationIds(Integer[] organizationIds);
}