package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.ParkingLot;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 停车场信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-12-23
 */
@Mapper
public interface ParkingLotMapper 
{
    /**
     * 查询停车场信息
     * 
     * @param parkingId 停车场信息主键
     * @return 停车场信息
     */
    public ParkingLot selectParkingLotByParkingId(Integer parkingId);

    /**
     * 查询停车场信息列表
     * 
     * @param parkingLot 停车场信息
     * @return 停车场信息集合
     */
    public List<ParkingLot> selectParkingLotList(ParkingLot parkingLot);

    /**
     * 新增停车场信息
     * 
     * @param parkingLot 停车场信息
     * @return 结果
     */
    public int insertParkingLot(ParkingLot parkingLot);

    /**
     * 修改停车场信息
     * 
     * @param parkingLot 停车场信息
     * @return 结果
     */
    public int updateParkingLot(ParkingLot parkingLot);

    /**
     * 删除停车场信息
     * 
     * @param parkingId 停车场信息主键
     * @return 结果
     */
    public int deleteParkingLotByParkingId(Integer parkingId);

    /**
     * 批量删除停车场信息
     * 
     * @param parkingIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteParkingLotByParkingIds(Integer[] parkingIds);



}