package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.RoomInfo;

/**
 * 房间信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-13
 */
@Mapper
public interface RoomInfoMapper 
{
    /**
     * 查询房间信息
     * 
     * @param roomId 房间信息主键
     * @return 房间信息
     */
    public RoomInfo selectRoomInfoByRoomId(Integer roomId);

    /**
     * 查询房间信息列表
     * 
     * @param roomInfo 房间信息
     * @return 房间信息集合
     */
    public List<RoomInfo> selectRoomInfoList(RoomInfo roomInfo);

    /**
     * 新增房间信息
     * 
     * @param roomInfo 房间信息
     * @return 结果
     */
    public int insertRoomInfo(RoomInfo roomInfo);

    /**
     * 修改房间信息
     * 
     * @param roomInfo 房间信息
     * @return 结果
     */
    public int updateRoomInfo(RoomInfo roomInfo);

    /**
     * 删除房间信息
     * 
     * @param roomId 房间信息主键
     * @return 结果
     */
    public int deleteRoomInfoByRoomId(Integer roomId);

    /**
     * 批量删除房间信息
     * 
     * @param roomIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRoomInfoByRoomIds(Integer[] roomIds);
}