package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.StationInfo;

/**
 * 站点信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-14
 */
@Mapper
public interface StationInfoMapper 
{
    /**
     * 查询站点信息
     * 
     * @param stationId 站点信息主键
     * @return 站点信息
     */
    public StationInfo selectStationInfoByStationId(Integer stationId);

    /**
     * 查询站点信息列表
     * 
     * @param stationInfo 站点信息
     * @return 站点信息集合
     */
    public List<StationInfo> selectStationInfoList(StationInfo stationInfo);

    /**
     * 新增站点信息
     * 
     * @param stationInfo 站点信息
     * @return 结果
     */
    public int insertStationInfo(StationInfo stationInfo);

    /**
     * 修改站点信息
     * 
     * @param stationInfo 站点信息
     * @return 结果
     */
    public int updateStationInfo(StationInfo stationInfo);

    /**
     * 删除站点信息
     * 
     * @param stationId 站点信息主键
     * @return 结果
     */
    public int deleteStationInfoByStationId(Integer stationId);

    /**
     * 批量删除站点信息
     * 
     * @param stationIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStationInfoByStationIds(Integer[] stationIds);
}