package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.TrafficInfo;

/**
 * 交通对象Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-14
 */
@Mapper
public interface TrafficInfoMapper 
{
    /**
     * 查询交通对象
     * 
     * @param trafficId 交通对象主键
     * @return 交通对象
     */
    public TrafficInfo selectTrafficInfoByTrafficId(Integer trafficId);

    /**
     * 查询交通对象列表
     * 
     * @param trafficInfo 交通对象
     * @return 交通对象集合
     */
    public List<TrafficInfo> selectTrafficInfoList(TrafficInfo trafficInfo);

    /**
     * 新增交通对象
     * 
     * @param trafficInfo 交通对象
     * @return 结果
     */
    public int insertTrafficInfo(TrafficInfo trafficInfo);

    /**
     * 修改交通对象
     * 
     * @param trafficInfo 交通对象
     * @return 结果
     */
    public int updateTrafficInfo(TrafficInfo trafficInfo);

    /**
     * 删除交通对象
     * 
     * @param trafficId 交通对象主键
     * @return 结果
     */
    public int deleteTrafficInfoByTrafficId(Integer trafficId);

    /**
     * 批量删除交通对象
     * 
     * @param trafficIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrafficInfoByTrafficIds(Integer[] trafficIds);
}