package com.lqkj.info.service;

import java.util.List;
import java.time.LocalDateTime;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.DevelopmentsMapper;
import com.lqkj.info.entity.Developments;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 发展定位：developmentsService业务层处理
 * 
 * @author lqkj
 * @date 2024-12-13
 */
@Service
public class DevelopmentsService
{
    @Autowired
    private DevelopmentsMapper developmentsMapper;

    /**
     * 查询发展定位：developments
     * 
     * @param id 发展定位：developments主键
     * @return 发展定位：developments
     */
    
    public Developments selectDevelopmentsById(Integer id)
    {
        return developmentsMapper.selectDevelopmentsById(id);
    }

    /**
     * 查询发展定位：developments列表
     * 
     * @param developments 发展定位：developments
     * @return 发展定位：developments
     */
    public List<Developments> selectDevelopmentsList(Developments developments)
    {
        return developmentsMapper.selectDevelopmentsList(developments);
    }

    /**
     * 新增发展定位：developments
     * 
     * @param developments 发展定位：developments
     * @return 结果
     */
    
    public int insertDevelopments(Developments developments)
    {
        developments.setCreateTime(LocalDateTime.now());
        return developmentsMapper.insertDevelopments(developments);
    }

    /**
     * 修改发展定位：developments
     * 
     * @param developments 发展定位：developments
     * @return 结果
     */
    
    public int updateDevelopments(Developments developments)
    {
        return developmentsMapper.updateDevelopments(developments);
    }

    /**
     * 批量删除发展定位：developments
     * 
     * @param ids 需要删除的发展定位：developments主键
     * @return 结果
     */
    
    public int deleteDevelopmentsByIds(Integer[] ids)
    {
        return developmentsMapper.deleteDevelopmentsByIds(ids);
    }

    /**
     * 删除发展定位：developments信息
     * 
     * @param id 发展定位：developments主键
     * @return 结果
     */
    
    public int deleteDevelopmentsById(Integer id)
    {
        return developmentsMapper.deleteDevelopmentsById(id);
    }
}