package com.lqkj.info.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.StationInfoMapper;
import com.lqkj.info.entity.StationInfo;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 站点信息Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-14
 */
@Service
public class StationInfoService
{
    @Autowired
    private StationInfoMapper stationInfoMapper;

    /**
     * 查询站点信息
     * 
     * @param stationId 站点信息主键
     * @return 站点信息
     */
    
    public StationInfo selectStationInfoByStationId(Integer stationId)
    {
        return stationInfoMapper.selectStationInfoByStationId(stationId);
    }

    /**
     * 查询站点信息列表
     * 
     * @param stationInfo 站点信息
     * @return 站点信息
     */
    public List<StationInfo> selectStationInfoList(StationInfo stationInfo)
    {
        return stationInfoMapper.selectStationInfoList(stationInfo);
    }

    /**
     * 新增站点信息
     * 
     * @param stationInfo 站点信息
     * @return 结果
     */
    
    public int insertStationInfo(StationInfo stationInfo)
    {
        return stationInfoMapper.insertStationInfo(stationInfo);
    }

    /**
     * 修改站点信息
     * 
     * @param stationInfo 站点信息
     * @return 结果
     */
    
    public int updateStationInfo(StationInfo stationInfo)
    {
        return stationInfoMapper.updateStationInfo(stationInfo);
    }

    /**
     * 批量删除站点信息
     * 
     * @param stationIds 需要删除的站点信息主键
     * @return 结果
     */
    
    public int deleteStationInfoByStationIds(Integer[] stationIds)
    {
        return stationInfoMapper.deleteStationInfoByStationIds(stationIds);
    }

    /**
     * 删除站点信息信息
     * 
     * @param stationId 站点信息主键
     * @return 结果
     */
    
    public int deleteStationInfoByStationId(Integer stationId)
    {
        return stationInfoMapper.deleteStationInfoByStationId(stationId);
    }
}