package com.lqkj.ioc.controller;


import com.lqkj.common.core.model.ResultUtil;
import com.lqkj.info.entity.EquipmentInfo;
import com.lqkj.info.service.EquipmentInfoService;
import com.lqkj.ioc.service.SmartParkService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = {"智能园区"})
@RestController
@RequestMapping("/ioc/smartPark")
public class SmartParkController {

    @Autowired
    private SmartParkService smartParkService;
    @Autowired
    private EquipmentInfoService equipmentInfoService;

    @ApiOperation("智慧园区-园区新增入驻情况")
    @GetMapping("/addParkNewTenant/{parkId}")
    public ResultUtil addParkNewTenant(@PathVariable("parkId") Integer parkId){
        return ResultUtil.success(smartParkService.addParkNewTenant(parkId));
    }


    @ApiOperation("智慧园区-园区消防")
    @GetMapping("/getParkFireProtectionInfo/{parkId}")
    public ResultUtil getParkFireProtectionInfo(@PathVariable("parkId") Integer parkId){
        return ResultUtil.success(smartParkService.getParkFireProtectionInfo(parkId));
    }

    @ApiOperation("智慧园区-设备管理-设备清单")
    @GetMapping("/device/list")
    public ResultUtil getParkFireProtectionInfo(EquipmentInfo equipmentInfo){
        return ResultUtil.success(equipmentInfoService.selectEquipmentInfoList(equipmentInfo));
    }
}
