package com.lqkj.ioc.controller;


import com.lqkj.common.core.model.ResultUtil;
import com.lqkj.ioc.service.TrafficSystemService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 交通系统
 */
@Api(tags = {"交通系统"})
@RestController
@RequestMapping("/ioc/trafficSystem")
public class TrafficSystemController {

    @Autowired
    private TrafficSystemService trafficSystemService;

    @ApiOperation("公共交通资源")
    @GetMapping("/publicTransportRes")
    public ResultUtil publicTransportRes() {
        return ResultUtil.success(trafficSystemService.publicTransportRes());
    }

}
