package com.lqkj.office.config;

import org.jodconverter.DocumentConverter;
import org.jodconverter.LocalConverter;
import org.jodconverter.document.DocumentFormatRegistry;
import org.jodconverter.office.OfficeManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 文档转换器配置
 * @author: lh
 */
@Configuration
@ConditionalOnProperty(prefix = "jodconverter.local",name = "enabled",havingValue = "true")
public class JodConverterConfiguration {
    @Bean
    public DocumentConverter localDocumentConverter(@Autowired(required = false) OfficeManager localOfficeManager, @Autowired(required = false) DocumentFormatRegistry documentFormatRegistry) {
        return LocalConverter.builder()
                .officeManager(localOfficeManager)
                .formatRegistry(documentFormatRegistry).build();
    }
}
