package com.lqkj.type.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 主体类型对象 organization_type
 * 
 * @author lqkj
 * @date 2024-11-11
 */
public class OrganizationType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 类别id */
    private Integer typeId;

    /** 父类型编 */
    private Integer parentId;

    /** 类别名称 */
    @Excel(name = "类别名称")
    private String typeName;

    /** 是否可点击 */
    @Excel(name = "是否可点击")
    private Boolean click;

    /** 是否可搜索 */
    @Excel(name = "是否可搜索")
    private Boolean search;

    /** 类别描述 */
    private String description;

    /** 排序 */
    private Integer orderId;

    /** 备注 */
    private String memo;

    /** 颜色 */
    @Excel(name = "颜色")
    private String colour;

    private String icon;

    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setParentId(Integer parentId) 
    {
        this.parentId = parentId;
    }

    public Integer getParentId() 
    {
        return parentId;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setClick(Boolean click) 
    {
        this.click = click;
    }

    public Boolean getClick() 
    {
        return click;
    }
    public void setSearch(Boolean search) 
    {
        this.search = search;
    }

    public Boolean getSearch() 
    {
        return search;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setOrderId(Integer orderId) 
    {
        this.orderId = orderId;
    }

    public Integer getOrderId() 
    {
        return orderId;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }
    public void setColour(String colour) 
    {
        this.colour = colour;
    }

    public String getColour() 
    {
        return colour;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    @Override
    public String toString() {
        return "OrganizationType{" +
                "typeId=" + typeId +
                ", parentId=" + parentId +
                ", typeName='" + typeName + '\'' +
                ", click=" + click +
                ", search=" + search +
                ", description='" + description + '\'' +
                ", orderId=" + orderId +
                ", memo='" + memo + '\'' +
                ", colour='" + colour + '\'' +
                ", icon='" + icon + '\'' +
                '}';
    }
}