package com.lqkj.type.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.type.entity.HouseType;

/**
 * 户型信息：house_typeMapper接口
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Mapper
public interface HouseTypeMapper 
{
    /**
     * 查询户型信息：house_type
     * 
     * @param typeId 户型信息：house_type主键
     * @return 户型信息：house_type
     */
    public HouseType selectHouseTypeByTypeId(Integer typeId);

    /**
     * 查询户型信息：house_type列表
     * 
     * @param houseType 户型信息：house_type
     * @return 户型信息：house_type集合
     */
    public List<HouseType> selectHouseTypeList(HouseType houseType);

    /**
     * 新增户型信息：house_type
     * 
     * @param houseType 户型信息：house_type
     * @return 结果
     */
    public int insertHouseType(HouseType houseType);

    /**
     * 修改户型信息：house_type
     * 
     * @param houseType 户型信息：house_type
     * @return 结果
     */
    public int updateHouseType(HouseType houseType);

    /**
     * 删除户型信息：house_type
     * 
     * @param typeId 户型信息：house_type主键
     * @return 结果
     */
    public int deleteHouseTypeByTypeId(Integer typeId);

    /**
     * 批量删除户型信息：house_type
     * 
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHouseTypeByTypeIds(Integer[] typeIds);
}