package com.lqkj.type.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.type.entity.RoomType;

/**
 * 房间类别Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Mapper
public interface RoomTypeMapper 
{
    /**
     * 查询房间类别
     * 
     * @param typeId 房间类别主键
     * @return 房间类别
     */
    public RoomType selectRoomTypeByTypeId(Integer typeId);

    /**
     * 查询房间类别列表
     * 
     * @param roomType 房间类别
     * @return 房间类别集合
     */
    public List<RoomType> selectRoomTypeList(RoomType roomType);

    /**
     * 新增房间类别
     * 
     * @param roomType 房间类别
     * @return 结果
     */
    public int insertRoomType(RoomType roomType);

    /**
     * 修改房间类别
     * 
     * @param roomType 房间类别
     * @return 结果
     */
    public int updateRoomType(RoomType roomType);

    /**
     * 删除房间类别
     * 
     * @param typeId 房间类别主键
     * @return 结果
     */
    public int deleteRoomTypeByTypeId(Integer typeId);

    /**
     * 批量删除房间类别
     * 
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRoomTypeByTypeIds(Integer[] typeIds);
}