package com.lqkj.type.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.type.mapper.AreaTypeMapper;
import com.lqkj.type.entity.AreaType;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 区域类型：area_typeService业务层处理
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Service
public class AreaTypeService
{
    @Autowired
    private AreaTypeMapper areaTypeMapper;

    /**
     * 查询区域类型：area_type
     * 
     * @param typeId 区域类型：area_type主键
     * @return 区域类型：area_type
     */
    
    public AreaType selectAreaTypeByTypeId(Integer typeId)
    {
        return areaTypeMapper.selectAreaTypeByTypeId(typeId);
    }

    /**
     * 查询区域类型：area_type列表
     * 
     * @param areaType 区域类型：area_type
     * @return 区域类型：area_type
     */
    public List<AreaType> selectAreaTypeList(AreaType areaType)
    {
        return areaTypeMapper.selectAreaTypeList(areaType);
    }

    /**
     * 新增区域类型：area_type
     * 
     * @param areaType 区域类型：area_type
     * @return 结果
     */
    
    public int insertAreaType(AreaType areaType)
    {
        return areaTypeMapper.insertAreaType(areaType);
    }

    /**
     * 修改区域类型：area_type
     * 
     * @param areaType 区域类型：area_type
     * @return 结果
     */
    
    public int updateAreaType(AreaType areaType)
    {
        return areaTypeMapper.updateAreaType(areaType);
    }

    /**
     * 批量删除区域类型：area_type
     * 
     * @param typeIds 需要删除的区域类型：area_type主键
     * @return 结果
     */
    
    public int deleteAreaTypeByTypeIds(Integer[] typeIds)
    {
        return areaTypeMapper.deleteAreaTypeByTypeIds(typeIds);
    }

    /**
     * 删除区域类型：area_type信息
     * 
     * @param typeId 区域类型：area_type主键
     * @return 结果
     */
    
    public int deleteAreaTypeByTypeId(Integer typeId)
    {
        return areaTypeMapper.deleteAreaTypeByTypeId(typeId);
    }
}